Skip to main content
POST
Publish a credit offer for a due diligence case

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

due_diligence_id
string<uuid>
required

Body

application/json
advance_amount
required
Pattern: ^-?\d+(\.\d+)?$
credit_fee_percentage
required
Pattern: ^-?\d+(\.\d+)?$

Response

Offer published and updated due diligence state returned.

due_diligence_id
string<uuid>
status
string
artist
object
label
object
artist_wallets
object
label_wallets
object
isrcs
object[]
contracts_preview
object[]
contracts
object[]
summary
object
credit_offer
object | null
fingerprint
string | null
signatures
object | null
created_at
string<date-time>
expires_at
string<date-time>